## ros-humble-diff-drive-controller 2.24.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(diff_drive_controller LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_interface
  generate_parameter_library
  geometry_msgs
  hardware_interface
  nav_msgs
  pluginlib
  rclcpp
  rclcpp_lifecycle
  rcpputils
  realtime_tools
  tf2
  tf2_msgs
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(diff_drive_controller_parameters
  src/diff_drive_controller_parameter.yaml
)

add_library(diff_drive_controller SHARED
  src/diff_drive_controller.cpp
  src/odometry.cpp
  src/speed_limiter.cpp
)
target_compile_features(diff_drive_controller PUBLIC cxx_std_17)
target_include_directories(diff_drive_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/diff_drive_controller>
)
target_link_libraries(diff_drive_controller PUBLIC diff_drive_controller_parameters)
ament_target_dependencies(diff_drive_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(diff_drive_controller PRIVATE "DIFF_DRIVE_CONTROLLER_BUILDING_DLL")
pluginlib_export_plugin_description_file(controller_interface diff_drive_plugin.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_diff_drive_controller
    test/test_diff_drive_controller.cpp
    ENV config_file=${CMAKE_CURRENT_SOURCE_DIR}/test/config/test_diff_drive_controller.yaml)
  target_link_libraries(test_diff_drive_controller
    diff_drive_controller
  )
  ament_target_dependencies(test_diff_drive_controller
    geometry_msgs
    hardware_interface
    nav_msgs
    rclcpp
    rclcpp_lifecycle
    realtime_tools
    tf2
    tf2_msgs
  )

  ament_add_gmock(test_load_diff_drive_controller
    test/test_load_diff_drive_controller.cpp
  )
  ament_target_dependencies(test_load_diff_drive_controller
    controller_manager
    ros2_control_test_assets
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/diff_drive_controller
)
install(TARGETS diff_drive_controller diff_drive_controller_parameters
  EXPORT export_diff_drive_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_diff_drive_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-humble-diff-drive-controller (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.23.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.22.0-1jammy) jammy; urgency=high

  * Use generate_parameter_library for all params (#601 <https://github.com/ros-controls/ros2_controllers/issues/601>) (#627 <https://github.com/ros-controls/ros2_controllers/issues/627>)
  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.21.0-1jammy) jammy; urgency=high

  * Fix compilation warnings (#621 <https://github.com/ros-controls/ros2_controllers/issues/621>) (#623 <https://github.com/ros-controls/ros2_controllers/issues/623>)
  * Remove compile warnings. (#519 <https://github.com/ros-controls/ros2_controllers/issues/519>) (#620 <https://github.com/ros-controls/ros2_controllers/issues/620>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>) (#617 <https://github.com/ros-controls/ros2_controllers/issues/617>)
  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>) (#605 <https://github.com/ros-controls/ros2_controllers/issues/605>)
  * Contributors: Felix Exner (fexner), Christoph Fröhlich, Mathias Lüdtke, Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.20.0-1jammy) jammy; urgency=high

  * Clear registered handles of DiffDriveController on deactivate (#596 <https://github.com/ros-controls/ros2_controllers/issues/596>) (#606 <https://github.com/ros-controls/ros2_controllers/issues/606>)
  * Contributors: Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.19.0-1jammy) jammy; urgency=high

  * Fix wrong publish timestamp initialization (#585 <https://github.com/ros-controls/ros2_controllers/issues/585>) (#593 <https://github.com/ros-controls/ros2_controllers/issues/593>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.18.0-1jammy) jammy; urgency=high

  * adjusted open_loop param description in diff_drive_controller_parameter.yaml (#570 <https://github.com/ros-controls/ros2_controllers/issues/570>) (#576 <https://github.com/ros-controls/ros2_controllers/issues/576>)
  * Contributors: muritane

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.17.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-diff-drive-controller (2.17.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-humble-diff-drive-controller (2.17.1-1jammy) jammy; urgency=high

  * [DiffDriveController] Fix prefixing of frame id with controller's namespace (#522 <https://github.com/ros-controls/ros2_controllers/issues/522>)
  * Contributors: Tim Verbelen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-diff-drive-controller (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-humble-diff-drive-controller (2.16.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-diff-drive-controller (2.16.0-1jammy) jammy; urgency=high

  * diff_drive base_frame_id param (#495 <https://github.com/ros-controls/ros2_controllers/issues/495>) (#498 <https://github.com/ros-controls/ros2_controllers/issues/498>)
  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>) (#493 <https://github.com/ros-controls/ros2_controllers/issues/493>)
  * Contributors: Bence Magyar, Jakub Delicat

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-humble-diff-drive-controller (2.15.0-1jammy) jammy; urgency=high

  * [DiffDriveController] Use generate parameter library (#386 <https://github.com/ros-controls/ros2_controllers/issues/386>)
  * [DiffDriveController] Change units of velocity feedback (#452 <https://github.com/ros-controls/ros2_controllers/issues/452>)
  * Contributors: Maciej Stępień, Paul Gesel, Denis Štogl, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-humble-diff-drive-controller (2.14.0-1jammy) jammy; urgency=high

  * Odom Topic & Frame Namespaces  (#461 <https://github.com/ros-controls/ros2_controllers/issues/461>)
  * Write detailed Diff-Drive-Controller documentation to make all the interfaces understandable. (#371 <https://github.com/ros-controls/ros2_controllers/issues/371>)
  * Contributors: Denis Štogl, sp-sophia-labs

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-humble-diff-drive-controller (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000



=== debian/control ===
Source: ros-humble-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: Controller for a differential drive mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diff-drive-controller//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-diff-drive-controller 2.37.0

=== debian/changelog ===
ros-humble-diff-drive-controller (2.37.0-1bookworm) bookworm; urgency=high

  * Fix WaitSet issue in tests  (backport #1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>) (#1211 <https://github.com/ros-controls/ros2_controllers/issues/1211>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.36.0-1bookworm) bookworm; urgency=high

  * Add mobile robot kinematics 101 and improve steering library docs (#954 <https://github.com/ros-controls/ros2_controllers/issues/954>) (#1160 <https://github.com/ros-controls/ros2_controllers/issues/1160>)
  * Bump version of pre-commit hooks (#1157 <https://github.com/ros-controls/ros2_controllers/issues/1157>) (#1158 <https://github.com/ros-controls/ros2_controllers/issues/1158>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.35.0-1bookworm) bookworm; urgency=high

  * Add parameter check for geometric values (backport #1120 <https://github.com/ros-controls/ros2_controllers/issues/1120>) (#1125 <https://github.com/ros-controls/ros2_controllers/issues/1125>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 21 May 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.34.0-1bookworm) bookworm; urgency=high

  * Let sphinx add parameter description with nested structures to documentation (backport #652 <https://github.com/ros-controls/ros2_controllers/issues/652>) (#1005 <https://github.com/ros-controls/ros2_controllers/issues/1005>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.33.0-1bookworm) bookworm; urgency=high

  * Add test_depend on hardware_interface_testing (backport #1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>) (#1019 <https://github.com/ros-controls/ros2_controllers/issues/1019>)
  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>) (#1011 <https://github.com/ros-controls/ros2_controllers/issues/1011>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.30.0-1bookworm) bookworm; urgency=high

  * [DiffDriveController] Optional tf namespace prefixes instead of using node namespace (backport #533 <https://github.com/ros-controls/ros2_controllers/issues/533>) (#726 <https://github.com/ros-controls/ros2_controllers/issues/726>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Dec 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.27.0-1bookworm) bookworm; urgency=high

  * [diff_drive_controller] Fixed typos in diff_drive_controller_parameter.yaml. (#822 <https://github.com/ros-controls/ros2_controllers/issues/822>) (#823 <https://github.com/ros-controls/ros2_controllers/issues/823>)
  * Contributors: Tony Baltovski

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.25.0-1bookworm) bookworm; urgency=high

  * removed duplicated previous_publish_timestamp_ increment by publish_period_ in diff_drive_controller.cpp (#644 <https://github.com/ros-controls/ros2_controllers/issues/644>) (#777 <https://github.com/ros-controls/ros2_controllers/issues/777>)
  * Update docs for diff drive controller (#751 <https://github.com/ros-controls/ros2_controllers/issues/751>) (#753 <https://github.com/ros-controls/ros2_controllers/issues/753>)
  * Contributors: Christoph Fröhlich, Jules CARPENTIER

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Sep 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.23.0-1bookworm) bookworm; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>) (#677 <https://github.com/ros-controls/ros2_controllers/issues/677>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-diff-drive-controller (2.22.0-1bookworm) bookworm; urgency=high

  * Use generate_parameter_library for all params (#601 <https://github.com/ros-controls/ros2_controllers/issues/601>) (#627 <https://github.com/ros-controls/ros2_controllers/issues/627>)
  * Docs: Use branch name substitution for all links (backport #618 <https://github.com/ros-controls/ros2_controllers/issues/618>) (#633 <https://github.com/ros-controls/ros2_controllers/issues/633>)
  * [Formatting] enable ReflowComments to also use ColumnLimit on comments   (#628 <https://github.com/ros-controls/ros2_controllers/issues/628>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000



=== debian/control ===
Source: ros-humble-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-controller-manager <!nocheck>, ros-humble-generate-parameter-library, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-hardware-interface-testing <!nocheck>, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-ros2-control-test-assets <!nocheck>, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-backward-ros, ros-humble-controller-interface, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-rcpputils, ros-humble-realtime-tools, ros-humble-tf2, ros-humble-tf2-msgs, ros-humble-ros-workspace
Description: Controller for a differential drive mobile base.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diff-drive-controller//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-diff-drive-controller//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-diff-drive-controller//opt/ros/humble/opt/diff_drive_controller/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-diff-drive-controller 2.37.3

=== debian/changelog ===
ros-humble-diff-drive-controller (2.37.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.37.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-diff-drive-controller (2.37.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000
